mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags

For additional information about TYPEFLAGS, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Defines the properties and attributes of a type description.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  The class supports aggregation.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  A type description that describes an Application object.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  Instances of the type can be created by ITypeInfo::CreateInstance.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  The type is a control from which other types will be derived and should not be displayed to users.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  Indicates that the interface derives from IDispatch, either directly or indirectly. This flag is computed; there is no Object Description Language for the flag.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  The interface supplies both IDispatch and VTBL binding.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  The type should not be displayed to browsers.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  The type is licensed.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  The interface cannot add members at run time.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  The types used in the interface are fully compatible with Automation, including VTBL binding support. Setting dual on an interface sets both this flag and the . This flag is not allowed on dispinterfaces.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  The type is predefined. The client application should automatically create a single instance of the object that has this attribute. The name of the variable that points to the object is the same as the class name of the object.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  Indicates that the interface will be using a proxy/stub dynamic link library. This flag specifies that the type library proxy should not be unregistered when the type library is unregistered.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  The object supports IConnectionPointWithDefault, and has default behaviors.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  Should not be accessible from macro languages. This flag is intended for system-level types or types that type browsers should not display.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  Indicates base interfaces should be checked for name resolution before checking children, which is the reverse of the default behavior.